LibreOffice: osl::VolumeInfo Class Reference

LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
osl::VolumeInfo Class Reference

The VolumeInfo class. More...

`#include <file.hxx>`

## Public Member Functions
| VolumeInfo (sal_uInt32 nMask)
| Constructor.
| ~VolumeInfo ()
bool | isValid (sal_uInt32 nMask) const
| Check if specified fields are valid.
bool | getRemoteFlag () const
| Check the remote flag.
bool | getRemoveableFlag () const
| Check the removable flag.
bool | getCompactDiscFlag () const
| Check the compact disc flag.
bool | getFloppyDiskFlag () const
| Check the floppy disc flag.
bool | getFixedDiskFlag () const
| Check the fixed disk flag.
bool | getRAMDiskFlag () const
| Check the RAM disk flag.
sal_uInt64 | getTotalSpace () const
| Determine the total space of a volume device.
sal_uInt64 | getFreeSpace () const
| Determine the free space of a volume device.
sal_uInt64 | getUsedSpace () const
| Determine the used space of a volume device.
sal_uInt32 | getMaxNameLength () const
| Determine the maximal length of a file name.
sal_uInt32 | getMaxPathLength () const
| Determine the maximal length of a path name.
::rtl::OUString | getFileSystemName () const
| Determine the name of the volume device's File System.
VolumeDevice | getDeviceHandle () const
| Get the volume device handle.
bool | isCaseSensitiveFileSystem () const
| Return whether the file system is case sensitive or case insensitive.
bool | isCasePreservingFileSystem () const
| Return whether the file system preserves the case of file and directory names or not.

## Friends
class | Directory

## Detailed Description

The VolumeInfo class.

Neither copy nor assignment is allowed for this class.

See also
  Directory::getVolumeInfo

## Constructor & Destructor Documentation

## ◆ VolumeInfo()

osl::VolumeInfo::VolumeInfo | ( | sal_uInt32 | nMask | ) |
| inline

Constructor.

Parameters

  nMask | Set of flags describing the demanded information.

## ◆ ~VolumeInfo()

osl::VolumeInfo::~VolumeInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getCompactDiscFlag()

bool osl::VolumeInfo::getCompactDiscFlag | ( |  | ) | const
| inline

Check the compact disc flag.

Returns
  true if attributes are valid and the volume is a CDROM else false.

## ◆ getDeviceHandle()

VolumeDevice osl::VolumeInfo::getDeviceHandle | ( |  | ) | const
| inline

Get the volume device handle.

Returns
  The device handle of the volume if this information is valid, otherwise returns NULL;

## ◆ getFileSystemName()

::rtl::OUString osl::VolumeInfo::getFileSystemName | ( |  | ) | const
| inline

Determine the name of the volume device's File System.

Returns
  The name of the volume's filesystem if this information is valid, otherwise an empty string.

## ◆ getFixedDiskFlag()

bool osl::VolumeInfo::getFixedDiskFlag | ( |  | ) | const
| inline

Check the fixed disk flag.

Returns
  true if attributes are valid and the volume is a fixed disk else false.

## ◆ getFloppyDiskFlag()

bool osl::VolumeInfo::getFloppyDiskFlag | ( |  | ) | const
| inline

Check the floppy disc flag.

Returns
  true if attributes are valid and the volume is a floppy disk else false.

## ◆ getFreeSpace()

sal_uInt64 osl::VolumeInfo::getFreeSpace | ( |  | ) | const
| inline

Determine the free space of a volume device.

Returns
  The free diskspace of this volume if this information is valid, 0 otherwise.

## ◆ getMaxNameLength()

sal_uInt32 osl::VolumeInfo::getMaxNameLength | ( |  | ) | const
| inline

Determine the maximal length of a file name.

Returns
  The maximal length of a file name if this information is valid, 0 otherwise.

## ◆ getMaxPathLength()

sal_uInt32 osl::VolumeInfo::getMaxPathLength | ( |  | ) | const
| inline

Determine the maximal length of a path name.

Returns
  The maximal length of a path if this information is valid, 0 otherwise.

## ◆ getRAMDiskFlag()

bool osl::VolumeInfo::getRAMDiskFlag | ( |  | ) | const
| inline

Check the RAM disk flag.

Returns
  true if attributes are valid and the volume is a RAM disk else false.

## ◆ getRemoteFlag()

bool osl::VolumeInfo::getRemoteFlag | ( |  | ) | const
| inline

Check the remote flag.

Returns
  true if Attributes are valid and the volume is remote else false.

## ◆ getRemoveableFlag()

bool osl::VolumeInfo::getRemoveableFlag | ( |  | ) | const
| inline

Check the removable flag.

Returns
  true if attributes are valid and the volume is removable else false.

## ◆ getTotalSpace()

sal_uInt64 osl::VolumeInfo::getTotalSpace | ( |  | ) | const
| inline

Determine the total space of a volume device.

Returns
  The total diskspace of this volume if this information is valid, 0 otherwise.

## ◆ getUsedSpace()

sal_uInt64 osl::VolumeInfo::getUsedSpace | ( |  | ) | const
| inline

Determine the used space of a volume device.

Returns
  The used diskspace of this volume if this information is valid, 0 otherwise.

## ◆ isCasePreservingFileSystem()

bool osl::VolumeInfo::isCasePreservingFileSystem | ( |  | ) | const
| inline

Return whether the file system preserves the case of file and directory names or not.

Returns
  true if the file system preserves the case of file and directory names false otherwise

## ◆ isCaseSensitiveFileSystem()

bool osl::VolumeInfo::isCaseSensitiveFileSystem | ( |  | ) | const
| inline

Return whether the file system is case sensitive or case insensitive.

Returns
  true if the file system is case sensitive false otherwise

## ◆ isValid()

bool osl::VolumeInfo::isValid | ( | sal_uInt32 | nMask | ) | const
| inline

Check if specified fields are valid.

Parameters

  nMask | Set of flags for the fields to check.

Returns
  true if all fields are valid else false.

## Friends And Related Symbol Documentation

## ◆ Directory

friend class Directory
| friend

The documentation for this class was generated from the following file:

- osl/file.hxx